%global pkgvers 3
%global scdate0 20200517
%global schash0 072586a71b55b7f8c584153d223e95687148a900
%global branch0 master
%global source0 https://github.com/Maratyszcza/psimd.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           psimd
Version:        0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Portable 128-bit SIMD intrinsics
Epoch:          1
License:        BSD
BuildArch:      noarch

URL:            https://github.com/Maratyszcza/psimd

BuildRequires:  cmake gcc-c++ git

%global __cmake_in_source_build 1

%description
Portable 128-bit SIMD intrinsics.

%package        devel
Summary:        Development files

%description    devel
This package contains the development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir build
pushd build
%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}
popd


%files devel
%license LICENSE
%doc README.md
%{_includedir}/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com>
- github update releases
